package marketnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически опрашивает рынок, покупает золотишко.
*/

// MarketNet -- обзор рынка
type MarketNet struct {
	*sectionnet.SectionNet
}

// NewMarketNet -- возвращает новый *MarketNet
func NewMarketNet(market types.ИРынок) (*MarketNet, error) {
	sectionNet, err := sectionnet.NewSectionNet(market, "http://wartank.ru/market")
	if err != nil {
		return nil, fmt.Errorf("NewMarketNet(): in create *SectionNet, err=\n\t%w", err)
	}

	sf := &MarketNet{
		SectionNet: sectionNet,
	}

	return sf, nil
}
